# Stock Move Location Dest Constraints Base

This module provides a base mechanism to constrain the selection of destination location on stock move lines. It also adds a checkbox ‘Bypass constraints’ on stock location to deactivate the checks implemented by installed modules.

Important

This is an alpha version, the data model and design can change at any time without warning. Only for development or testing purpose, do not use in production. More details on development status

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

When installing the module, all the existing stock location will be set to bypass constraints. Therefore the user must manually activate the constraints on existing locations. However, any location created after the module installation will have the constraints activated as the flag will not be set to True automatically.

# Usage

To define new constraints on stock location, function check_move_dest_constraint on stock.location must be overriden to throw a ValidationError if the location is not allowed for selected product or stock move line.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Camptocamp

## Contributors

- Akim Juillerat <akim.juillerat@camptocamp.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/stock-logistics-warehouse project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.